## libvmeta 1.0ubuntu2hedley2

=== Makefile ===
#
# Makefile for vMeta user library
#

ifeq "$(CONFIG_GEN_DEBUG)" "y"
VMETA_DEF := -DVMETA_DEBUG

else
VMETA_DEF := 
endif

SRC_DIR := .

CFLAGS += $(VMETA_DEF) \
	-I${SRC_DIR}/include \

vmeta_lib_src=${SRC_DIR}/vmeta_lib.c \

vmeta_lib_obj=${vmeta_lib_src:.c=.o} 

.PHONY: all compile install-host install-target clean clean-local \
	uninstall-host uninstall-target

.c.o:
	${CC} -fPIC -o $@ -c $<

all: compile install-host install-target 

compile: libvmeta.so libvmeta.a

libvmeta.a: ${vmeta_lib_obj}
	${AR} -rcs $@ ${vmeta_lib_obj}

libvmeta.so: ${vmeta_lib_obj}
	${CC} -g -s -shared -Wl,-soname,$@ -o $@ ${vmeta_lib_obj} -lbmm

clean: clean-local

clean-local:
	-rm -f ${vmeta_lib_obj}
	-rm -f libvmeta.*

=== debian/changelog ===
libvmeta (1.0ubuntu2hedley2) lucid; urgency=low

  * Add Build-Depends: libbmm-dev

 -- Jason Yen <jason.yen@canonical.com>  Tue, 21 Dec 2010 11:50:33 +0800

libvmeta (1.0ubuntu2hedley1) lucid; urgency=low

  * Import the latest release from Marvell

 -- Jason Yen <jason.yen@canonical.com>  Tue, 21 Dec 2010 10:12:34 +0800

libvmeta (1.0ubuntu2) maverick; urgency=low

  * ebd2d82 fix vmeta get hw obj issue in unit test
  * 2480ad4 Fix pthread memory leakage issue.
  * b52a307 vmeta fix virtual memory leakage.

 -- Li Li <lea.li@marvell.com>  Thu, 09 Dec 2010 14:12:47 +0800

libvmeta (1.0ubuntu1) maverick; urgency=low

  * e49aeb4 add libvmeta-dev packages

 -- Li Li <lea.li@marvell.com>  Tue, 07 Dec 2010 13:48:11 +0800

libvmeta (1.0) unstable; urgency=low

  * Initial Release.

 -- ubuntu <junj@marvell.com>  Sun, 17 Oct 2010 00:24:16 -0400

=== debian/control ===
Source: libvmeta
Priority: extra
Maintainer: ubuntu <junj@marvell.com>
Build-Depends: debhelper (>= 7), libbmm-dev
Standards-Version: 3.8.3
Section: libs

Package: libvmeta
Section: libs
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: vmeta library on marvell dove platform

Package: libvmeta-dev
Section: libs
Architecture: armel
Depends: libvmeta
Description: vmeta header files on marvell dove platform
